## ros-noetic-rqt-plot 0.4.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_plot)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_plot
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-plot (0.4.13-2buster) buster; urgency=high

  * Fix resize bug. Set minimum size of MatDataPlot's Canvas (#69 <https://github.com/ros-visualization/rqt_plot/issues/69>)
  * Update maintainers
  * Replace string.atoi with int() (#57 <https://github.com/ros-visualization/rqt_plot/issues/57>)
  * Contributors: Felix Exner, Mabel Zhang, Robert Haschke

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 23 Feb 2021 05:00:00 -0000

ros-noetic-rqt-plot (0.4.12-2buster) buster; urgency=high

  * readd rqt_plot global executable, regression from 0.4.11 (#60 <https://github.com/ros-visualization/rqt_plot/issues/60>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 04:00:00 -0000

ros-noetic-rqt-plot (0.4.11-2buster) buster; urgency=high

  * use catkin_install_python() (#59 <https://github.com/ros-visualization/rqt_plot/issues/59>)
  * fix "bottom cannot be >= top" matplotlib error (#52 <https://github.com/ros-visualization/rqt_plot/issues/52>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 20 May 2020 04:00:00 -0000

ros-noetic-rqt-plot (0.4.10-2buster) buster; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning
  * add Python 3 conditional dependencies (#41 <https://github.com/ros-visualization/rqt_plot/issues/41>)
  * fix KeyError when curves are removed concurrently (#37 <https://github.com/ros-visualization/rqt_plot/issues/37>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 11 Mar 2020 04:00:00 -0000

ros-noetic-rqt-plot (0.4.9-2buster) buster; urgency=high

  * avoid crash for unknown message types (#26 <https://github.com/ros-visualization/rqt_plot/issues/26>)
  * autopep8 (#15 <https://github.com/ros-visualization/rqt_plot/issues/15>)
  * support pyqtgraph < 0.10 (#13 <https://github.com/ros-visualization/rqt_plot/issues/13>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 Mar 2019 04:00:00 -0000

ros-noetic-rqt-plot (0.4.8-2buster) buster; urgency=high

  * add scroll area when showing images with 1-to-1 mapping (#433 <https://github.com/ros-visualization/rqt_common_plugins/issues/433>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 04:00:00 -0000

ros-noetic-rqt-plot (0.4.7-2buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 05:00:00 -0000

ros-noetic-rqt-plot (0.4.6-2buster) buster; urgency=high

  * add support for plotting bool field values (#427 <https://github.com/ros-visualization/rqt_common_plugins/issues/427>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 05:00:00 -0000

ros-noetic-rqt-plot (0.4.5-2buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 05:00:00 -0000

ros-noetic-rqt-plot (0.4.4-2buster) buster; urgency=high

  * automatically use the value field from std_msgs.Bool messages (#420 <https://github.com/ros-visualization/rqt_common_plugins/pull/420>)
  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * reenable PyQtGraph when version >= 0.10 (#407 <https://github.com/ros-visualization/rqt_common_plugins/issues/407>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 05:00:00 -0000

ros-noetic-rqt-plot (0.4.3-2buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 04:00:00 -0000

ros-noetic-rqt-plot (0.4.2-2buster) buster; urgency=high

  * add keyword arg to make sort optional (#360 <https://github.com/ros-visualization/rqt_common_plugins/pull/360>)
  * disable PyQtGraph backend when Qt 5 is being used (#399 <https://github.com/ros-visualization/rqt_common_plugins/pull/399>)
  * add missing dependency on numpy (#396 <https://github.com/ros-visualization/rqt_common_plugins/issues/396>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 04:00:00 -0000

ros-noetic-rqt-plot (0.4.1-2buster) buster; urgency=high

  * fix mouse wheel delta in Qt 5 (#376 <https://github.com/ros-visualization/rqt_common_plugins/issues/376>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 04:00:00 -0000

ros-noetic-rqt-plot (0.4.0-2buster) buster; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)
  * support matplotplot 1.5 (#358 <https://github.com/ros-visualization/rqt_common_plugins/pull/358>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 04:00:00 -0000

ros-noetic-rqt-plot (0.3.13-2buster) buster; urgency=high

  * Added missing include
  * use proper icon names for add/remove
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 05:00:00 -0000

ros-noetic-rqt-plot (0.3.12-2buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 04:00:00 -0000

ros-noetic-rqt-plot (0.3.11-2buster) buster; urgency=high

  * save and restore axes settings (#234 <https://github.com/ros-visualization/rqt_common_plugins/issues/234>)
  * remove warning when backend is not found (#301 <https://github.com/ros-visualization/rqt_common_plugins/issues/301>)
  * fix version clash for matplot backend when PyQt5 is installed (#299 <https://github.com/ros-visualization/rqt_common_plugins/pull/200>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 04:00:00 -0000

ros-noetic-rqt-plot (0.3.10-2buster) buster; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 04:00:00 -0000

ros-noetic-rqt-plot (0.3.9-2buster) buster; urgency=high

  * fix handling of variable-sized arrays (#261 <https://github.com/ros-visualization/rqt_common_plugins/issues/261>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 04:00:00 -0000

ros-noetic-rqt-plot (0.3.8-2buster) buster; urgency=high

  * fix missing installation of Python subpackage



=== debian/control ===
Source: ros-noetic-rqt-plot
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/rqt_plot
Standards-Version: 3.9.2

Package: ros-noetic-rqt-plot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-matplotlib, python3-numpy, python3-rospkg, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-qt-gui-py-common (>= 0.2.25), ros-noetic-qwt-dependency, ros-noetic-rosgraph, ros-noetic-rostopic, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-rqt-py-common, ros-noetic-std-msgs
Description: rqt_plot provides a GUI plugin visualizing numeric values in a 2D plot using different plotting backends.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-plot//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
